/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.adservices.adselection;


/** Represents ad selection data collected from device for ad selection. */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class GetAdSelectionDataOutcome {

GetAdSelectionDataOutcome() { throw new RuntimeException("Stub!"); }

/**
 * Returns the adSelectionId that identifies the AdSelection.
 *
 * @deprecated Use the {@link #getAdSelectionDataId()} instead.
 */

@Deprecated
public long getAdSelectionId() { throw new RuntimeException("Stub!"); }

/** Returns the id that uniquely identifies this GetAdSelectionData payload. */

public long getAdSelectionDataId() { throw new RuntimeException("Stub!"); }

/**
 * Returns the adSelectionData that is collected from device.
 * @return This value may be {@code null}.
 */

@android.annotation.Nullable
public byte[] getAdSelectionData() { throw new RuntimeException("Stub!"); }
}

