/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.adservices.ondevicepersonalization;


/**
 *  The result returned by {@link android.adservices.ondevicepersonalization.IsolatedWorker#onEvent(android.adservices.ondevicepersonalization.EventInput,android.os.OutcomeReceiver) IsolatedWorker#onEvent(EventInput, android.os.OutcomeReceiver)}.
 */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class EventOutput {

EventOutput() { throw new RuntimeException("Stub!"); }

/**
 * An {@link android.adservices.ondevicepersonalization.EventLogRecord EventLogRecord} to be written to the EVENTS table, if not null. Each
 * {@link android.adservices.ondevicepersonalization.EventLogRecord EventLogRecord} is associated with a row in an existing {@link android.adservices.ondevicepersonalization.RequestLogRecord RequestLogRecord} that
 * has been written to the REQUESTS table.
 */

@android.annotation.Nullable
public android.adservices.ondevicepersonalization.EventLogRecord getEventLogRecord() { throw new RuntimeException("Stub!"); }

/**
 * {@inheritDoc}

 * @param o This value may be {@code null}.
 */

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }
/**
 * A builder for {@link android.adservices.ondevicepersonalization.EventOutput EventOutput}
 */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

/**
 * An {@link android.adservices.ondevicepersonalization.EventLogRecord EventLogRecord} to be written to the EVENTS table, if not null. Each
 * {@link android.adservices.ondevicepersonalization.EventLogRecord EventLogRecord} is associated with a row in an existing {@link android.adservices.ondevicepersonalization.RequestLogRecord RequestLogRecord} that
 * has been written to the REQUESTS table.

 * @param value This value may be {@code null}.
 */

@android.annotation.NonNull
public android.adservices.ondevicepersonalization.EventOutput.Builder setEventLogRecord(@android.annotation.Nullable android.adservices.ondevicepersonalization.EventLogRecord value) { throw new RuntimeException("Stub!"); }

/**
 * Builds the instance. This builder should not be touched after calling this!
 * @return This value cannot be {@code null}.
 */

@android.annotation.NonNull
public android.adservices.ondevicepersonalization.EventOutput build() { throw new RuntimeException("Stub!"); }
}

}

