/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class ApplicationStartInfo implements android.os.Parcelable {

ApplicationStartInfo() { throw new RuntimeException("Stub!"); }

public int getStartupState() { throw new RuntimeException("Stub!"); }

public int getPid() { throw new RuntimeException("Stub!"); }

public int getRealUid() { throw new RuntimeException("Stub!"); }

public int getPackageUid() { throw new RuntimeException("Stub!"); }

public int getDefiningUid() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getProcessName() { throw new RuntimeException("Stub!"); }

public int getReason() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.Map<java.lang.Integer,java.lang.Long> getStartupTimestamps() { throw new RuntimeException("Stub!"); }

public int getStartType() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.content.Intent getIntent() { throw new RuntimeException("Stub!"); }

public int getLaunchMode() { throw new RuntimeException("Stub!"); }

public boolean wasForceStopped() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object other) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.ApplicationStartInfo> CREATOR;
static { CREATOR = null; }

public static final int LAUNCH_MODE_SINGLE_INSTANCE = 2; // 0x2

public static final int LAUNCH_MODE_SINGLE_INSTANCE_PER_TASK = 4; // 0x4

public static final int LAUNCH_MODE_SINGLE_TASK = 3; // 0x3

public static final int LAUNCH_MODE_SINGLE_TOP = 1; // 0x1

public static final int LAUNCH_MODE_STANDARD = 0; // 0x0

public static final int STARTUP_STATE_ERROR = 1; // 0x1

public static final int STARTUP_STATE_FIRST_FRAME_DRAWN = 2; // 0x2

public static final int STARTUP_STATE_STARTED = 0; // 0x0

public static final int START_REASON_ALARM = 0; // 0x0

public static final int START_REASON_BACKUP = 1; // 0x1

public static final int START_REASON_BOOT_COMPLETE = 2; // 0x2

public static final int START_REASON_BROADCAST = 3; // 0x3

public static final int START_REASON_CONTENT_PROVIDER = 4; // 0x4

public static final int START_REASON_JOB = 5; // 0x5

public static final int START_REASON_LAUNCHER = 6; // 0x6

public static final int START_REASON_LAUNCHER_RECENTS = 7; // 0x7

public static final int START_REASON_OTHER = 8; // 0x8

public static final int START_REASON_PUSH = 9; // 0x9

public static final int START_REASON_SERVICE = 10; // 0xa

public static final int START_REASON_START_ACTIVITY = 11; // 0xb

public static final int START_TIMESTAMP_APPLICATION_ONCREATE = 2; // 0x2

public static final int START_TIMESTAMP_BIND_APPLICATION = 3; // 0x3

public static final int START_TIMESTAMP_FIRST_FRAME = 4; // 0x4

public static final int START_TIMESTAMP_FORK = 1; // 0x1

public static final int START_TIMESTAMP_FULLY_DRAWN = 5; // 0x5

public static final int START_TIMESTAMP_INITIAL_RENDERTHREAD_FRAME = 6; // 0x6

public static final int START_TIMESTAMP_LAUNCH = 0; // 0x0

public static final int START_TIMESTAMP_RESERVED_RANGE_DEVELOPER = 30; // 0x1e

public static final int START_TIMESTAMP_RESERVED_RANGE_DEVELOPER_START = 21; // 0x15

public static final int START_TIMESTAMP_RESERVED_RANGE_SYSTEM = 20; // 0x14

public static final int START_TIMESTAMP_SURFACEFLINGER_COMPOSITION_COMPLETE = 7; // 0x7

public static final int START_TYPE_COLD = 1; // 0x1

public static final int START_TYPE_HOT = 3; // 0x3

public static final int START_TYPE_UNSET = 0; // 0x0

public static final int START_TYPE_WARM = 2; // 0x2
}

