/**
 * Copyright (c) 2015, The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class AutomaticZenRule implements android.os.Parcelable {

@Deprecated
public AutomaticZenRule(java.lang.String name, android.content.ComponentName owner, android.net.Uri conditionId, int interruptionFilter, boolean enabled) { throw new RuntimeException("Stub!"); }

public AutomaticZenRule(@android.annotation.NonNull java.lang.String name, @android.annotation.Nullable android.content.ComponentName owner, @android.annotation.Nullable android.content.ComponentName configurationActivity, @android.annotation.NonNull android.net.Uri conditionId, @android.annotation.Nullable android.service.notification.ZenPolicy policy, int interruptionFilter, boolean enabled) { throw new RuntimeException("Stub!"); }

public AutomaticZenRule(android.os.Parcel source) { throw new RuntimeException("Stub!"); }

public android.content.ComponentName getOwner() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.content.ComponentName getConfigurationActivity() { throw new RuntimeException("Stub!"); }

public android.net.Uri getConditionId() { throw new RuntimeException("Stub!"); }

public int getInterruptionFilter() { throw new RuntimeException("Stub!"); }

public java.lang.String getName() { throw new RuntimeException("Stub!"); }

public boolean isEnabled() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.service.notification.ZenPolicy getZenPolicy() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.service.notification.ZenDeviceEffects getDeviceEffects() { throw new RuntimeException("Stub!"); }

public long getCreationTime() { throw new RuntimeException("Stub!"); }

public void setConditionId(android.net.Uri conditionId) { throw new RuntimeException("Stub!"); }

public void setInterruptionFilter(int interruptionFilter) { throw new RuntimeException("Stub!"); }

public void setName(java.lang.String name) { throw new RuntimeException("Stub!"); }

public void setEnabled(boolean enabled) { throw new RuntimeException("Stub!"); }

public void setZenPolicy(@android.annotation.Nullable android.service.notification.ZenPolicy zenPolicy) { throw new RuntimeException("Stub!"); }

public void setDeviceEffects(@android.annotation.Nullable android.service.notification.ZenDeviceEffects deviceEffects) { throw new RuntimeException("Stub!"); }

public void setConfigurationActivity(@android.annotation.Nullable android.content.ComponentName componentName) { throw new RuntimeException("Stub!"); }

public int getType() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getTriggerDescription() { throw new RuntimeException("Stub!"); }

public int getIconResId() { throw new RuntimeException("Stub!"); }

public boolean isManualInvocationAllowed() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.AutomaticZenRule> CREATOR;
static { CREATOR = null; }

public static final int TYPE_BEDTIME = 3; // 0x3

public static final int TYPE_DRIVING = 4; // 0x4

public static final int TYPE_IMMERSIVE = 5; // 0x5

public static final int TYPE_MANAGED = 7; // 0x7

public static final int TYPE_OTHER = 0; // 0x0

public static final int TYPE_SCHEDULE_CALENDAR = 2; // 0x2

public static final int TYPE_SCHEDULE_TIME = 1; // 0x1

public static final int TYPE_THEATER = 6; // 0x6

public static final int TYPE_UNKNOWN = -1; // 0xffffffff
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull android.app.AutomaticZenRule rule) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull java.lang.String name, @android.annotation.NonNull android.net.Uri conditionId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.AutomaticZenRule.Builder setName(@android.annotation.NonNull java.lang.String name) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.AutomaticZenRule.Builder setOwner(@android.annotation.Nullable android.content.ComponentName owner) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.AutomaticZenRule.Builder setConditionId(@android.annotation.NonNull android.net.Uri conditionId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.AutomaticZenRule.Builder setInterruptionFilter(int interruptionFilter) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.AutomaticZenRule.Builder setEnabled(boolean enabled) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.AutomaticZenRule.Builder setConfigurationActivity(@android.annotation.Nullable android.content.ComponentName configurationActivity) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.AutomaticZenRule.Builder setZenPolicy(@android.annotation.Nullable android.service.notification.ZenPolicy policy) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.AutomaticZenRule.Builder setDeviceEffects(@android.annotation.Nullable android.service.notification.ZenDeviceEffects deviceEffects) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.AutomaticZenRule.Builder setType(int type) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.AutomaticZenRule.Builder setTriggerDescription(@android.annotation.Nullable java.lang.String description) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.AutomaticZenRule.Builder setIconResId(int iconResId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.AutomaticZenRule.Builder setManualInvocationAllowed(boolean allowManualInvocation) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.AutomaticZenRule build() { throw new RuntimeException("Stub!"); }
}

}

