/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.companion.virtual;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class VirtualDeviceManager {

VirtualDeviceManager() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.companion.virtual.VirtualDevice> getVirtualDevices() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.companion.virtual.VirtualDevice getVirtualDevice(int deviceId) { throw new RuntimeException("Stub!"); }

public void registerVirtualDeviceListener(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.companion.virtual.VirtualDeviceManager.VirtualDeviceListener listener) { throw new RuntimeException("Stub!"); }

public void unregisterVirtualDeviceListener(@android.annotation.NonNull android.companion.virtual.VirtualDeviceManager.VirtualDeviceListener listener) { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface VirtualDeviceListener {

public default void onVirtualDeviceCreated(int deviceId) { throw new RuntimeException("Stub!"); }

public default void onVirtualDeviceClosed(int deviceId) { throw new RuntimeException("Stub!"); }
}

}

