/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.content.pm;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class ArchivedPackageInfo {

public ArchivedPackageInfo(@android.annotation.NonNull java.lang.String packageName, @android.annotation.NonNull android.content.pm.SigningInfo signingInfo, @android.annotation.NonNull java.util.List<android.content.pm.ArchivedActivityInfo> launcherActivities) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getPackageName() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.pm.SigningInfo getSigningInfo() { throw new RuntimeException("Stub!"); }

public int getVersionCode() { throw new RuntimeException("Stub!"); }

public int getVersionCodeMajor() { throw new RuntimeException("Stub!"); }

public int getTargetSdkVersion() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getDefaultToDeviceProtectedStorage() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getRequestLegacyExternalStorage() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getUserDataFragile() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.content.pm.ArchivedActivityInfo> getLauncherActivities() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.pm.ArchivedPackageInfo setPackageName(@android.annotation.NonNull java.lang.String value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.pm.ArchivedPackageInfo setSigningInfo(@android.annotation.NonNull android.content.pm.SigningInfo value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.pm.ArchivedPackageInfo setVersionCode(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.pm.ArchivedPackageInfo setVersionCodeMajor(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.pm.ArchivedPackageInfo setTargetSdkVersion(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.pm.ArchivedPackageInfo setDefaultToDeviceProtectedStorage(@android.annotation.NonNull java.lang.String value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.pm.ArchivedPackageInfo setRequestLegacyExternalStorage(@android.annotation.NonNull java.lang.String value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.pm.ArchivedPackageInfo setUserDataFragile(@android.annotation.NonNull java.lang.String value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.pm.ArchivedPackageInfo setLauncherActivities(@android.annotation.NonNull java.util.List<android.content.pm.ArchivedActivityInfo> value) { throw new RuntimeException("Stub!"); }
}

