/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.content.res;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public interface FontScaleConverter {

public float convertSpToDp(float sp);

public float convertDpToSp(float dp);

public static boolean isNonLinearFontScalingActive(float fontScale) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public static android.content.res.FontScaleConverter forScale(float fontScale) { throw new RuntimeException("Stub!"); }
}

