/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.graphics.text;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class LineBreakConfig implements android.os.Parcelable {

LineBreakConfig() { throw new RuntimeException("Stub!"); }

public int getLineBreakStyle() { throw new RuntimeException("Stub!"); }

public int getLineBreakWordStyle() { throw new RuntimeException("Stub!"); }

public int getHyphenation() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.text.LineBreakConfig merge(@android.annotation.NonNull android.graphics.text.LineBreakConfig config) { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.graphics.text.LineBreakConfig> CREATOR;
static { CREATOR = null; }

public static final int HYPHENATION_DISABLED = 0; // 0x0

public static final int HYPHENATION_ENABLED = 1; // 0x1

public static final int HYPHENATION_UNSPECIFIED = -1; // 0xffffffff

public static final int LINE_BREAK_STYLE_AUTO = 5; // 0x5

public static final int LINE_BREAK_STYLE_LOOSE = 1; // 0x1

public static final int LINE_BREAK_STYLE_NONE = 0; // 0x0

public static final int LINE_BREAK_STYLE_NORMAL = 2; // 0x2

public static final int LINE_BREAK_STYLE_NO_BREAK = 4; // 0x4

public static final int LINE_BREAK_STYLE_STRICT = 3; // 0x3

public static final int LINE_BREAK_STYLE_UNSPECIFIED = -1; // 0xffffffff

public static final int LINE_BREAK_WORD_STYLE_AUTO = 2; // 0x2

public static final int LINE_BREAK_WORD_STYLE_NONE = 0; // 0x0

public static final int LINE_BREAK_WORD_STYLE_PHRASE = 1; // 0x1

public static final int LINE_BREAK_WORD_STYLE_UNSPECIFIED = -1; // 0xffffffff
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.text.LineBreakConfig.Builder merge(@android.annotation.NonNull android.graphics.text.LineBreakConfig config) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.text.LineBreakConfig.Builder setLineBreakStyle(int lineBreakStyle) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.text.LineBreakConfig.Builder setLineBreakWordStyle(int lineBreakWordStyle) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.text.LineBreakConfig.Builder setHyphenation(int hyphenation) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.text.LineBreakConfig build() { throw new RuntimeException("Stub!"); }
}

}

