/*
 * Copyright (C) 2015 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.nfc;


/**
 * Contains information on all available Nfc
 * antennas on an Android device as well as information
 * on the device itself in relation positioning of the
 * antennas.
 */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class NfcAntennaInfo implements android.os.Parcelable {

/**
 * @param availableNfcAntennas This value cannot be {@code null}.
 */

public NfcAntennaInfo(int deviceWidth, int deviceHeight, boolean deviceFoldable, @android.annotation.NonNull java.util.List<android.nfc.AvailableNfcAntenna> availableNfcAntennas) { throw new RuntimeException("Stub!"); }

/**
 * Width of the device in millimeters.
 */

public int getDeviceWidth() { throw new RuntimeException("Stub!"); }

/**
 * Height of the device in millimeters.
 */

public int getDeviceHeight() { throw new RuntimeException("Stub!"); }

/**
 * Whether the device is foldable. When the device is foldable,
 * the 0, 0 is considered to be bottom-left when the device is unfolded and
 * the screens are facing the user. For non-foldable devices 0, 0
 * is bottom-left when the user is facing the screen.
 */

public boolean isDeviceFoldable() { throw new RuntimeException("Stub!"); }

/**
 * Get all NFC antennas that exist on the device.

 * @return This value cannot be {@code null}.
 */

@android.annotation.NonNull
public java.util.List<android.nfc.AvailableNfcAntenna> getAvailableNfcAntennas() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

/**
 * {@inheritDoc}

 * @param dest This value cannot be {@code null}.
 */

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.nfc.NfcAntennaInfo> CREATOR;
static { CREATOR = null; }
}

